Package org.eclipse.microprofile.lra.tck.participant.api

# Class ParticipatingTckResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ParticipatingTckResource

@ApplicationScoped @Path("participating-tck-resource") public class ParticipatingTckResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCEPT_PATH`
`static final String`
`JOIN_WITH_EXISTING_LRA_PATH`
`static final String`
`JOIN_WITH_EXISTING_LRA_PATH2`
`static final String`
`JOIN_WITH_NEW_LRA_PATH`
`static final String`
`LEAVE_PATH`
`static final String`
`RECOVERY_PARAM`
`static final String`
`TCK_PARTICIPANT_RESOURCE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`ParticipatingTckResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`acceptLRA(Integer recoveryPasses)`
`jakarta.ws.rs.core.Response`
`compensateWork(URI lraId)`
`jakarta.ws.rs.core.Response`
`completeWork(URI lraId)`
`jakarta.ws.rs.core.Response`
`getAcceptLRA()`
`jakarta.ws.rs.core.Response`
`joinWithExistingLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`joinWithExistingLRA2(URI lraId)`
`jakarta.ws.rs.core.Response`
`joinWithNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`leaveLRA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TCK_PARTICIPANT_RESOURCE_PATH

public static final String TCK_PARTICIPANT_RESOURCE_PATH

See Also:
  - Constant Field Values

### JOIN_WITH_EXISTING_LRA_PATH

public static final String JOIN_WITH_EXISTING_LRA_PATH

See Also:
  - Constant Field Values

### JOIN_WITH_EXISTING_LRA_PATH2

public static final String JOIN_WITH_EXISTING_LRA_PATH2

See Also:
  - Constant Field Values

### JOIN_WITH_NEW_LRA_PATH

public static final String JOIN_WITH_NEW_LRA_PATH

See Also:
  - Constant Field Values

### LEAVE_PATH

public static final String LEAVE_PATH

See Also:
  - Constant Field Values

### ACCEPT_PATH

public static final String ACCEPT_PATH

See Also:
  - Constant Field Values

### RECOVERY_PARAM

public static final String RECOVERY_PARAM

See Also:
  - Constant Field Values

## Constructor Details

### ParticipatingTckResource

public ParticipatingTckResource()

## Method Details

### compensateWork

@PUT @Path("/compensate") public jakarta.ws.rs.core.Response compensateWork(@HeaderParam("Long-Running-Action") URI lraId)

### completeWork

@PUT @Path("/complete") public jakarta.ws.rs.core.Response completeWork(@HeaderParam("Long-Running-Action") URI lraId)

### acceptLRA

@PUT @Path("/accept") public jakarta.ws.rs.core.Response acceptLRA(@QueryParam("recoveryCount") @DefaultValue("0") Integer recoveryPasses)

### getAcceptLRA

@GET @Path("/accept") public jakarta.ws.rs.core.Response getAcceptLRA()

### leaveLRA

@PUT @Path("/leave") public jakarta.ws.rs.core.Response leaveLRA()

### joinWithExistingLRA

@PUT @Path("/join-with-existing-lra") public jakarta.ws.rs.core.Response joinWithExistingLRA(@HeaderParam("Long-Running-Action") URI lraId)

### joinWithExistingLRA2

@PUT @Path("/join-with-existing-lra2") public jakarta.ws.rs.core.Response joinWithExistingLRA2(@HeaderParam("Long-Running-Action") URI lraId)

### joinWithNewLRA

@PUT @Path("/join-with-new-LRA") public jakarta.ws.rs.core.Response joinWithNewLRA(@HeaderParam("Long-Running-Action") URI lraId)